#
# spec file for package gstreamer-plugins-qt5
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define gstnum  1.0
%define glibnum 2_0
%define gstmin  0
%define glibmin 0
Name:           gstreamer-plugins-qt5
Version:        1.2.0
Release:        lp151.2.4
Summary:        C++/Qt bindings for GStreamer
License:        LGPL-2.1+
Group:          Productivity/Multimedia/Other
Url:            http://gstreamer.freedesktop.org/wiki/QtGStreamer
Source:         http://gstreamer.freedesktop.org/src/qt-gstreamer/qt-gstreamer-%{version}.tar.xz
# PATCH-FIX-OPENSUSE fix_gstconfig_detection.diff
Patch0:         fix_gstconfig_detection.diff
BuildRequires:  bison
%if 0%{?suse_version} > 1325
BuildRequires:  libboost_headers-devel
%else
BuildRequires:  boost-devel
%endif
BuildRequires:  cmake >= 2.8.9
BuildRequires:  doxygen
BuildRequires:  flex
BuildRequires:  kf5-filesystem
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-app-1.0)
BuildRequires:  pkgconfig(gstreamer-base-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

This package contains C++/Qt bindings for GStreamer.

%prep
%setup -q -n qt-gstreamer-%{version}
%patch0 -p1

%package devel
Summary:        Include files and libraries mandatory for development
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
%if 0%{?suse_version} > 1325
Requires:       libboost_headers-devel
%else
Requires:       boost-devel
%endif
Requires:       pkgconfig(Qt5Gui)

%description devel
GStreamer is a streaming-media framework, based on graphs of filters
which operate on media data. Applications using this library can do
anything from real-time sound processing to playing videos, and just
about anything else media-related.  Its plug-in-based architecture
means that new data types or processing capabilities can be added by
installing new plug-ins.

This package contains development files and headers for the C++/Qt
bindings for GStreamer.

%build
%if "%{?_lib}" == "lib64"
SUFFIX="64"
%else
SUFFIX=""
%endif
  %cmake_kf5 -d build -- -DQTGSTREAMER_STATIC=OFF -DQTGSTREAMER_EXAMPLES=OFF -DLIB_SUFFIX=$SUFFIX -DQT_VERSION=5 -DLIB_SUFFIX=$SUFFIX -DCMAKE_DISABLE_FIND_PACKAGE_Qt5Declarative=true
  %make_jobs

%install
  %kf5_makeinstall -C build

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING HACKING NEWS README
%{_libdir}/libQt5GLib-2.0.so.*
%{_libdir}/libQt5GStreamer-%{gstnum}.so.*
%{_libdir}/libQt5GStreamerQuick-%{gstnum}.so.*
%{_libdir}/libQt5GStreamerUi-%{gstnum}.so.*
%{_libdir}/libQt5GStreamerUtils-%{gstnum}.so.*
%{_libdir}/qt5/qml/QtGStreamer/
%{_libdir}/gstreamer-%{gstnum}/libgstqt5videosink.so

%files devel
%defattr(-,root,root)
%{_libdir}/cmake/Qt5GStreamer/
%{_includedir}/Qt5GStreamer/
%{_libdir}/libQt5GLib-2.0.so
%{_libdir}/libQt5GStreamer-%{gstnum}.so
%{_libdir}/libQt5GStreamerQuick-%{gstnum}.so
%{_libdir}/libQt5GStreamerUi-%{gstnum}.so
%{_libdir}/libQt5GStreamerUtils-%{gstnum}.so
%{_libdir}/pkgconfig/Qt5GLib-2.0.pc
%{_libdir}/pkgconfig/Qt5GStreamer-%{gstnum}.pc
%{_libdir}/pkgconfig/Qt5GStreamerQuick-%{gstnum}.pc
%{_libdir}/pkgconfig/Qt5GStreamerUi-%{gstnum}.pc
%{_libdir}/pkgconfig/Qt5GStreamerUtils-%{gstnum}.pc

%changelog
* Wed Feb  1 2017 adam.majer@suse.de
- use individual libboost-*-devel packages instead of boost-devel
* Fri Jul 22 2016 jengelh@inai.de
- Remove extraneous dependency for pkgconfig(Qt5Core)
  [already autodetected]
* Sat Jul 16 2016 wbauer@tmo.at
- Remove dependency on qtquick1 from devel package
* Sat Jun  4 2016 hrvoje.senjan@gmail.com
- Stop using deprecated qtquick1 module
* Sat Dec  5 2015 cgiboudeaux@gmx.com
- Add fix_gstconfig_detection.diff. Fixes build with recent GStreamer
  versions.
* Sat Oct 25 2014 hrvoje.senjan@gmail.com
- Activate gstreamer-plugins-qt5 package, based on Qt4 version
* Wed Aug 27 2014 hrvoje.senjan@gmail.com
- Merge all subpackage to gstreamer-plugins-qt and
  gstreamer-plugins-qt-devel subpackage to fix unresolvable in Factory
- Obsolete old packages (and 0.10 variant)
* Thu Jul 24 2014 hrvoje.senjan@gmail.com
- Update to 1.2.0
  * No changes since rc
- Make devel subpackage require libQtGLib-devel, instead of
  pkgconfig(...) provides
- Add Source URL
* Tue Jun 24 2014 hrvoje.senjan@gmail.com
- Update to 1.1.90
  * Added QtQuick2 support, which includes:
  - The qtquick2videosink gstreamer element
  - The QtGStreamerQuick2 QML plugin
  - The Qt5GStreamerQuick glue library
  - The qmlplayer2 example
  * Packaging changes:
  - Tarballs are now distributed in .tar.xz format,
    together with a .tar.xz.sha256sum check file, like the rest
    of the GStreamer modules.
  - Package is NOT fully co-installable with QtGStreamer 0.10.3
  * Versioning changes:
  - Version numbers are now going to be synced to the GStreamer
    API that qt-gstreamer targets, to avoid confusion. So,
    this release, instead of being version 1.0.0, it is 1.2.0.
- Add conflict with gstreamer-0_10-plugins-qt
* Sat May 10 2014 hrvoje.senjan@gmail.com
- Update to master branch of qt-gstreamer: integrated gstreamer 1.0 API support
- Name package gstreamer-plugins-qt
* Wed Mar 19 2014 hrvoje.senjan@gmail.com
- Fixup of the previous change: pkgconfig(QtWidgets) does not exist
  in Qt4 world
* Tue Mar  4 2014 hrvoje.senjan@gmail.com
- Improve requires of devel packages:
  * QtOpenGL is linked privately - removed requires
  * pkgconfig(gstreamer-(app,base,interfaces,video,plugins-base)-0.10)
  are linked privately - removed requires
  * pkgconfig(glib-2.0) and pkgconfig(gobject-2.0) are linked privately
  - removed requires
  * pkgconfig(glesv2) and pkgconfig(gl) are linked privately
  - removed requires
  * Explicitly mark pkgconfig(QtGui) and pkgconfig(QtWidgets) as Requires
* Tue Oct 15 2013 hrvoje.senjan@gmail.com
- Update to final 0.10.3:
  * Fixes:
  + One build fix change with regards to Qt4/5 cmake var name
- Use bz2 tarball
* Mon Jul 22 2013 hrvoje.senjan@gmail.com
- Drop fdupes usage, this breaks build of packages depending on only
  QtGlib
- Adjust cmake flags for latest release
- Remove boost-devel Requires from gstreamer-0_10-plugins-qt-devel,
  it is pulled by libQtGlib-devel package
* Sat Jul 20 2013 hrvoje.senjan@gmail.com
- Make libQtGLib-devel requires boost-devel, as libQtGLib includes
  add boost includes
* Fri Jul 12 2013 hrvoje.senjan@gmail.com
- Update to 0.10.2.2 prerelease:
  * Additions:
  + Added Qt5 support.
  + Added GstDiscoverer bindings.
  + QGlib::Error can now be used in QGlib::Value
  + Added convenience constructors for QGst::ClockTime
  * Fixes:
  + Fixed qtglvideosink painting on QGLFrameBufferObject
  + Fixed codegen compilation with bison 2.6
  + Fixed example code in the QGst::Ui::GraphicsVideoSurface
    apidocs
  + Many fixes for windows support
  * Build system fixes and enhancements:
  + Use recent cmake goodies:
  - CMakePackageConfigHelpers, which simplifies
    QtGStreamerConfig.cmake and adds version checking in
    find_package(QtGStreamer)
  - CMAKE_POSITION_INDEPENDENT_CODE, which eliminates issues
    with missing -fPIC / -fPIE
  - GNUInstallDirs, which adds automagic support for debian
    multiarch and also takes away the need for LIB_SUFFIX
  + .dll's are now installed in the correct place ($prefix/bin)
    on windows
  + cmake config files are now installed in
    $libdir/cmake/$package instead of $libdir/$package
  + Renamed signal.h to qglib_signal.h to avoid problems where
    the compiler mixes it up with the C <signal.h>
  + Determine whether to use OpenGLES or desktop OpenGL by
    looking at what Qt is using on the target system instead
    of guessing.
  * Changes in dependencies:
  + CMake 2.8.9 is now required
  + Drop completely automoc dependency in favor of cmake's
    internal automoc
  + Qt5 can be used instead of Qt4. The resulting qt-gstreamer
    files will be co-installable with the ones built using Qt4.
* Mon Jan 28 2013 toddrme2178@gmail.com
- Split libQtGlib-devel
- Clean up dependencies
* Wed Jul  4 2012 mlin@suse.com
- Requires library when install devel package
* Fri Jun 22 2012 toddrme2178@gmail.com
- Change group to Productivity/Multimedia/Other
- Moved videosink and Qt plugins to base package
- Package basic docs
* Thu Jun 21 2012 toddrme2178@gmail.com
- Update to 0.10.2
- Change package name to match gstreamer package naming conventions
* Tue Jan 24 2012 cgiboudeaux@gmx.com
- Add fix_build.diff.
  Only glib.h can be included directly.
* Thu Feb  3 2011 alinm.elena@gmail.com
- initial commit based on Bille's spec
